module base_adjnul_mod
  implicit none

contains

  subroutine base_adjnul_real(adj, add, modl, data)
    logical            :: adj, add
    real, dimension(:) :: modl, data
    if (.not.add) then
       if (adj) then
          modl = 0.
       else
          data = 0.
       end if
    end if
    return
  end subroutine


  subroutine base_adjnul_cplx(adj, add, modl, data)
    logical               :: adj, add
    complex, dimension(:) :: modl, data
    if (.not.add) then
       if (adj) then
          modl = 0.
       else
          data = 0.
       end if
    end if
    return
  end subroutine


end module
